<?xml version="1.0" encoding="utf-8"?>
<ROW spacing="2">
    <INCLUDE_ONCE file="box.inc"/>
    <INCLUDE_ONCE file="text_value.inc"/>
    <INCLUDE_ONCE file="knob_black.inc"/>
    <INCLUDE_ONCE file="on_off_button.inc"/>
    <INCLUDE_ONCE file="invisible_button/invisible_button.inc"/>
    <INCLUDE_ONCE file="vswitch/vswitch.inc"/>
    <DEFINE>
        <CUS_KNOB base_type="CUS_KNOB_BLACK"/>
        <CUS_KNOBS_ROW base_type="ROW" spacing="9"/>
    </DEFINE>
	<!-- Controls -->
	<CUS_BOX layout_type="column" h_align="left">
		<TEXT value="Meter Settings" font_size="15"/>
		<ROW spacing="10" v_margin="6" h_margin="6">
			<COLUMN spacing="4">
				<!-- Peak parameters-->
				<TEXT value="Peak"/>
				<CUS_KNOBS_ROW>
					<!-- Attack -->
					<COLUMN v_align="top">
						<CUS_KNOB param_id="$attack$" response_curve="exp1"/>
						<PARAM_TEXT param_id="$attack$" content="{name}"/>
						<CUS_TEXT_VALUE param_id="$attack$"/>
					</COLUMN>
					<!-- Delay -->
					<COLUMN v_align="top">
						<CUS_KNOB param_id="$hold$" response_curve="exp1"/>
						<PARAM_TEXT param_id="$hold$" content="{name}"/>
						<CUS_TEXT_VALUE param_id="$hold$"/>
					</COLUMN>
					<!-- Release -->
					<COLUMN v_align="top">
						<CUS_KNOB param_id="$release$" response_curve="exp1"/>
						<PARAM_TEXT param_id="$release$" content="{name}"/>
						<CUS_TEXT_VALUE param_id="$release$"/>
					</COLUMN>
				</CUS_KNOBS_ROW>
			</COLUMN>
			<!-- Separator-->
			<CUS_VSEPARATOR/>
			<!-- RMS Meter-->
			<COLUMN spacing="4">
				<TEXT value="RMS"/>
				<COLUMN v_align="top">
					<CUS_KNOB param_id="$rms_average$" response_curve="exp1"/>
					<PARAM_TEXT param_id="$rms_average$" content="{name}"/>
					<CUS_TEXT_VALUE param_id="$rms_average$"/>
				</COLUMN>
			</COLUMN>
		</ROW>
	</CUS_BOX>
	<CUS_BOX>
	<!-- Hold Meter-->
        <TEXT value="Peak Hold" font_size="15"/>
		<ROW spacing="10" v_margin="6" h_margin="6">
			<COLUMN spacing="4">
                <TEXT value="(Max value meter)"/>
                <CUS_KNOBS_ROW>
                    <!-- hold -->
                    <COLUMN v_align="top">
                        <CUS_KNOB param_id="$meter_hold$"  response_curve="exp1"/>
                            <PARAM_TEXT param_id="$meter_hold$" content="{name}"/>
                        <CUS_TEXT_VALUE param_id="$meter_hold$"/>
                    </COLUMN>
                    <!-- max release -->
                    <COLUMN v_align="top">
                        <CUS_KNOB param_id="$hold_reset_speed$" positions_count="61"/>
                        <PARAM_TEXT param_id="$hold_reset_speed$" content="{name}"/>
                        <CUS_TEXT_VALUE param_id="$hold_reset_speed$"/>
                    </COLUMN>
                </CUS_KNOBS_ROW>
            </COLUMN>
        </ROW>	
	</CUS_BOX>
	<CUS_BOX>
      <TEXT value="Mode" font_size="15"/>
	   <ROW spacing="-12" v_margin="13">
		   <COLUMN spacing="-10" h_margin="-3">
			<TEXT value="L-R"/>
				<CELL width="40" height="62" layout_type="layer_stack">
					<CUS_VSWITCH param_id="$stereo_mode$" h_align="right" v_align="bottom">
						<PARAM_TOOLTIP param_id="$stereo_mode$" content="{text_value}" show_on_click="true"/>
					</CUS_VSWITCH>
				</CELL>
				<TEXT value="M-S"/>
		   </COLUMN>
	   </ROW>
   </CUS_BOX>
	<CUS_BOX layout_type="column" h_align="right">
		<TEXT value="Output Envelope" font_size="15"/>
		<ROW spacing="10" v_margin="6" h_margin="6">
			<COLUMN spacing="4">
                <!-- reverse-->
                <ROW spacing="5" v_margin="-3">
                    <CUS_ON_OFF_BUTTON param_id="$reverse$"/>
                    <PARAM_TEXT param_id="$reverse$" content="{name}">
                        <CUS_INVISIBLE_BUTTON param_id="$reverse$"/>
                    </PARAM_TEXT>
                </ROW>				
                <CUS_KNOBS_ROW>
					<!-- Peak/RMS-->
					<COLUMN>
						<CUS_KNOB param_id="$peak_rms$" positions_count="101"/>
						<PARAM_TEXT param_id="$peak_rms$" content="{name}"/>
						<CUS_TEXT_VALUE param_id="$peak_rms$"/>
					</COLUMN>
					<!-- Amount-->
					<COLUMN>
						<CUS_KNOB param_id="$amount$" positions_count="401"/>
						<PARAM_TEXT param_id="$amount$" content="{name}"/>
						<CUS_TEXT_VALUE param_id="$amount$"/>
					</COLUMN>
					<!-- Offset-->
					<COLUMN>
						<CUS_KNOB param_id="$offset$" positions_count="401"/>
						<PARAM_TEXT param_id="$offset$" content="{name}"/>
						<CUS_TEXT_VALUE param_id="$offset$" value_format="+.0"/>
					</COLUMN>
				</CUS_KNOBS_ROW>
			</COLUMN>
		</ROW>
	</CUS_BOX>
</ROW>
